Installation of Subversion and Subversion support in GIT

versions

Used SVN version:1.6.4

dependecy on swig-1.3.31 which is too old in the DESY installation

swig Installation

tar -xzf swig-1.3.31.tar.gz
cd swig-1.3.31
./configure --prefix=/afs/desy.de/group/flc/opt/swig/1.3.31
make
make install

SVN Installation

Download subversion-1.6.4.tar.gz and subversion-deps-1.6.4.tar.gz. Unpack and go to directory:

tar -xzf subversion-1.6.4.tar.gz
tar -xzf subversion-deps-1.6.4.tar.gz
cd subversion-1.6.4

Set the environment to find the right swig version:

export PATH=/afs/desy.de/group/flc/opt/swig/1.3.31/bin:$PATH

Configure with install path und usage of ssl:

./configure --prefix=/afs/desy.de/group/flc/opt/svn/1.6.4/ --with-ssl

Make and install:

make
make install

GIT SVN Installation

As we did install neither GIT nor SVN into standard directories we have to manually install SVN support for GIT:

cd subversion-1.6.4

make swig-pl-lib
make install-swig-pl-lib

cd subversion/bindings/swig/perl/native

perl Makefile.PL PREFIX=/afs/desy.de/group/flc/opt/git/1.6.x

make
make install

SVNinstallationLog (last edited 2009-12-02 15:41:28 by BenjaminLutz)